<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Repeater;
use \Elementor\Group_Control_Border;
/**
 *
 * About Us  Widget .
 *
 */
class Appku_About_Us_V2 extends Widget_Base {

	public function get_name() {
		return 'appkuaboutusv2';
	}

	public function get_title() {
		return __( 'Appku About V2', 'appku' );
	}


	public function get_icon() {
		return 'eicon-code';
    }


	public function get_categories() {
		return [ 'appku' ];
	}


	protected function register_controls() {

		$this->start_controls_section(
			'about_us_section',
			[
				'label' 	=> __( 'About Us', 'appku' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );
        $this->add_control(
			'about_style',
			[
				'label' 		=> __( 'About Style', 'appku' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'appku' ),
					'2' 		=> __( 'Style Two', 'appku' ),
					'3' 		=> __( 'Style Three', 'appku' ),
					'4' 		=> __( 'Style Four', 'appku' ),
				],
			]
		);
        $this->add_control(
			'title',
			[
				'label' 	=> __( 'Title', 'sasoft' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'We re building software<strong>to manage business</strong>', 'sasoft' )
			]
        );
        $this->add_control(
			'description',
			[
				'label' 	=> __( 'Description', 'sasoft' ),
                'type' 		=> Controls_Manager::WYSIWYG,
                'default'  	=> __( 'We re building software<strong>to manage business</strong>', 'sasoft' ),
			]
        );

        $this->add_control(
			'about_image',
			[
				'label' 		=> __( 'Choose Image 1', 'appku' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
			]
		);
		$this->add_control(
			'about_image2',
			[
				'label' 		=> __( 'Choose Image 2', 'appku' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
				'condition'		=> [ 'about_style' => [ '3' ] ],
			]
		);
		$this->add_control(
			'button_text',
			[
				'label' 	=> __( 'Button Text', 'appku' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'default'  	=> __( 'Button Text', 'appku' ),
                'rows' 		=> 2,
                'condition'		=> [ 'about_style' => [ '3' ] ],
			]
        );

        $this->add_control(
			'button_link',
			[
				'label' 		=> __( 'Link', 'appku' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> __( 'https://your-link.com', 'appku' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
				'condition'		=> [ 'about_style' => [ '3' ] ],
			]
		);

		$repeater = new Repeater();

        $repeater->add_control(
			'title',
			[
				'label' 	=> __( 'Title', 'appku' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Title', 'appku' )
			]
        );

        $repeater->add_control(
			'number',
			[
				'label' 	=> __( 'Number', 'appku' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Contant', 'appku' )
			]
        );
        $repeater->add_control(
			'suffix',
			[
				'label' 	=> __( 'Suffix', 'appku' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'K', 'appku' )
			]
        );

		$this->add_control(
			'info',
			[
				'label' 		=> __( 'Lists', 'appku' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'title_field' 	=> '{{{ title }}}',
				'condition'		=> [ 'about_style' => [ '2' ] ],
			]
		);
		
		$this->end_controls_section();

		$this->start_controls_section(
			'about_us_section 2',
			[
				'label' 	=> __( 'Author Info', 'appku' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
				'condition'		=> [ 'about_style' => [ '1' ] ],
			]
        );
		$this->add_control(
			'name',
			[
				'label' 	=> __( 'Name', 'sasoft' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Ahem Natasha', 'sasoft' )
			]
        );
        $this->add_control(
			'desig',
			[
				'label' 	=> __( 'Designation', 'sasoft' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'CEO & Founder', 'sasoft' )
			]
        );
        $this->add_control(
			'author_image',
			[
				'label' 		=> __( 'Choose Image', 'appku' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
			]
		);
		$this->add_control(
			'author_signature',
			[
				'label' 		=> __( 'Signature', 'appku' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
			]
		);
		
		$this->end_controls_section();

		$this->start_controls_section(
			'about_us_section_3',
			[
				'label' 	=> __( 'Experience Info', 'appku' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
				'condition'		=> [ 'about_style' => [ '3','4' ] ],
			]
        );
		$this->add_control(
			'year',
			[
				'label' 	=> __( 'Year', 'sasoft' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( '38', 'sasoft' ),
                'condition'		=> [ 'about_style' => [ '3','4' ] ],
			]
        );
        $this->add_control(
			'label',
			[
				'label' 	=> __( 'Label', 'sasoft' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Years of experience', 'sasoft' ),
                'condition'		=> [ 'about_style' => [ '3','4' ] ],
			]
        );
        $this->add_control(
			'e_title',
			[
				'label' 	=> __( 'Title', 'sasoft' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Certified Company', 'sasoft' ),
                'condition'		=> [ 'about_style' => [ '3' ] ],
			]
        );
        $this->add_control(
			'e_desc',
			[
				'label' 	=> __( 'Description', 'sasoft' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Again keeps at no meant stuff perpetual do northward cultural difficult preserved daughters. ', 'sasoft' ),
                'condition'		=> [ 'about_style' => [ '3' ] ],
			]
        );
        
		$this->end_controls_section();



		$this->start_controls_section(
			'about_us_section_4',
			[
				'label' 	=> __( 'Extra Info', 'appku' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
				'condition'		=> [ 'about_style' => [ '3' ] ],
			]
        );
        $this->add_control(
			'p_title',
			[
				'label' 	=> __( 'Title', 'sasoft' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Certified Company', 'sasoft' )
			]
        );
        $this->add_control(
			'p_desc',
			[
				'label' 	=> __( 'Description', 'sasoft' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Again keeps at no meant stuff perpetual do northward cultural difficult preserved daughters. ', 'sasoft' )
			]
        );
        $this->add_control(
			'p_img',
			[
				'label' 		=> __( 'Image', 'appku' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
			]
		);
        
		$this->end_controls_section();
	}

	protected function render() {

        $settings = $this->get_settings_for_display();

        if( $settings['about_style'] == '1' ){
        	echo '<div class="about-style-seven-area default-padding-bottom">';
		        echo '<div class="container">';
		            echo '<div class="about-style-seven-items bg-dark text-light">';
		            	if( ! empty( $settings['about_image']['url'] ) ){
			                echo '<div class="about-style-seven-thumb" style="background-image: url('.esc_url( $settings['about_image']['url'] ).');"></div>';
			            }
		                echo '<div class="row">';
		                    echo '<div class="col-lg-6 offset-lg-6">';
		                        echo '<div class="about-seven-item">';

		                            if(!empty($settings['title'])){
				                        echo '<h2>'.wp_kses_post($settings['title']).'</h2>';
				                    }
		                            if(!empty($settings['description'])){
				                        echo wp_kses_post($settings['description']);
				                    }
		                            echo '<div class="author-info">';
		                            	if( ! empty( $settings['author_image']['url'] ) ){
			                                echo '<div class="thumb">';
			                                    echo appku_img_tag( array(
													'url'	=> esc_url( $settings['author_image']['url'] ),
												) );
			                                echo '</div>';
			                            }
		                                echo '<div class="info">';
		                                    if(!empty($settings['name'])){
						                        echo '<h4>'.wp_kses_post($settings['name']).'</h4>';
						                    }
						                    if(!empty($settings['desig'])){
						                        echo '<span>'.wp_kses_post($settings['desig']).'</span>';
						                    }
		                                echo '</div>';
		                                if( ! empty( $settings['author_signature']['url'] ) ){
		                                    echo appku_img_tag( array(
												'url'	=> esc_url( $settings['author_signature']['url'] ),
											) );
			                            }
		                            echo '</div>';
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}elseif( $settings['about_style'] == '2' ){
			echo '<div class="about-style-five-area text-light default-padding-bottom">';
		        echo '<div class="container">';
		            echo '<div class="row">';
		                echo '<div class="col-lg-7">';
		                	if( ! empty( $settings['about_image']['url'] ) ){
			                    echo '<div class="about-five-thumb">';
			                        echo appku_img_tag( array(
										'url'	=> esc_url( $settings['about_image']['url'] ),
									) );
			                    echo '</div>';
			                }
		                echo '</div>';
		                echo '<div class="col-lg-4 offset-lg-1">';
		                    echo '<div class="about-five-items">';
		                        echo '<div class="about-fun-fact">';
		                        	foreach( $settings['info'] as $single_data ){
			                            echo '<div class="fun-fact">';
			                                echo '<div class="counter">';
			                                	if(!empty( $single_data['number'] )){
				                                    echo '<div class="timer" data-to="'.esc_attr( $single_data['number'] ).'" data-speed="2000">'.esc_html( $single_data['number'] ).'</div>';
				                                }
				                                if(!empty( $single_data['suffix'] )){
				                                    echo '<div class="operator">'.esc_html( $single_data['suffix'] ).'</div>';
				                                }
			                                echo '</div>';
			                                if(!empty( $single_data['title'] )){
				                                echo '<span class="medium">'.esc_html( $single_data['title'] ).'</span>';
				                            }
			                            echo '</div>';
			                        }
		                        echo '</div>';
		                        echo '<div class="about-five-content">';
		                            if(!empty($settings['title'])){
				                        echo '<h2>'.wp_kses_post($settings['title']).'</h2>';
				                    }
		                            if(!empty($settings['description'])){
				                        echo wp_kses_post($settings['description']);
				                    }
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}elseif( $settings['about_style'] == '3' ){
			echo '<div class="about-style-six-area overflow-hidden default-padding">';
		        echo '<div class="container">';
		            echo '<div class="row">';
		                echo '<div class="col-xl-7">';
		                    echo '<div class="about-six-thumb">';
		                        if( ! empty( $settings['about_image']['url'] ) ){
			                        echo appku_img_tag( array(
										'url'	=> esc_url( $settings['about_image']['url'] ),
									) );
				                }
				                if( ! empty( $settings['about_image2']['url'] ) ){
			                        echo appku_img_tag( array(
										'url'	=> esc_url( $settings['about_image2']['url'] ),
									) );
				                }
		                        echo '<ul class="about-list">';
		                            echo '<li>';
		                                echo '<div class="experience">'; 
		                                	if(!empty( $settings['year'] )){
			                                    echo '<h1>'.esc_html( $settings['year'] ).'</h1>';
			                                }
			                                if(!empty( $settings['label'] )){
			                                    echo '<h4>'.esc_html( $settings['label'] ).'</h4>';
			                                }
		                                echo '</div>';
		                            echo '</li>';
		                            echo '<li>';
		                                if(!empty( $settings['e_title'] )){
		                                    echo '<h4>'.esc_html( $settings['e_title'] ).'</h4>';
		                                }
		                                if(!empty( $settings['e_desc'] )){
		                                    echo '<p>'.esc_html( $settings['e_desc'] ).'</p>';
		                                }
		                            echo '</li>';
		                        echo '</ul>';
		                    echo '</div>';
		                echo '</div>';
		                echo '<div class="col-xl-4 offset-xl-1 mt-80 mt-xs-30">';
		                    echo '<div class="about-style-six">';
		                        if(!empty($settings['title'])){
			                        echo '<h2>'.wp_kses_post($settings['title']).'</h2>';
			                    }
	                            if(!empty($settings['description'])){
			                        echo wp_kses_post($settings['description']);
			                    }
			                    if( ! empty( $settings['button_text'] ) ) {
			                    	if( ! empty( $settings['button_link']['url'] ) ) {
							            $this->add_render_attribute( 'button', 'href', esc_url( $settings['button_link']['url'] ) );
							        }
				            		if( ! empty( $settings['button_link']['nofollow'] ) ) {
							            $this->add_render_attribute( 'button', 'rel', 'nofollow' );
							        }
							        if( ! empty( $settings['button_link']['is_external'] ) ) {
							            $this->add_render_attribute( 'button', 'target', '_blank' );
							        }
							        $this->add_render_attribute( 'button', 'class', 'btn mt-10 circle btn-theme-effect btn-sm' );

							        	echo '<a '.$this->get_render_attribute_string('button').'>'.esc_html( $settings['button_text'] ).' </a>';
	                            }
		                        echo '<div class="about-card">';
		                            if( ! empty( $settings['p_img']['url'] ) ){
				                        echo appku_img_tag( array(
											'url'	=> esc_url( $settings['p_img']['url'] ),
										) );
					                }
		                            echo '<div class="info">';
		                                if(!empty( $settings['p_title'] )){
		                                    echo '<h4>'.esc_html( $settings['p_title'] ).'</h4>';
		                                }
		                                if(!empty( $settings['p_desc'] )){
		                                    echo '<p>'.esc_html( $settings['p_desc'] ).'</p>';
		                                }
		                            echo '</div>';
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}else{
			echo '<div class="choose-us-style-two-area default-padding">';
		        echo '<div class="container">';
		            echo '<div class="row align-center">';
		                echo '<div class="col-lg-6">';
		                    echo '<div class="choose-us-thumb">';
		                        if( ! empty( $settings['about_image']['url'] ) ){
			                        echo appku_img_tag( array(
										'url'	=> esc_url( $settings['about_image']['url'] ),
									) );
				                }
		                        echo '<div class="fun-fact">';
		                            echo '<div class="counter">';
		                                echo '<div class="timer" data-to="'.esc_attr( $settings['year'] ).'" data-speed="2000">'.esc_html( $settings['year'] ).'</div>';
		                                echo '<div class="operator">K</div>';
		                            echo '</div>';
		                            echo '<span class="medium">'.esc_html( $settings['label'] ).'</span>';
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		                echo '<div class="col-lg-5 offset-lg-1">';
		                    echo '<div class="choose-us-style-two">';
		                        if(!empty($settings['title'])){
			                        echo '<h2>'.wp_kses_post($settings['title']).'</h2>';
			                    }
	                            if(!empty($settings['description'])){
			                        echo wp_kses_post($settings['description']);
			                    }
		                    echo '</div>';
		               echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}
	}
}