<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * WCU Box Widget .
 *
 */
class Appku_Brand_V2 extends Widget_Base {

	public function get_name() {
		return 'appkubrand2';
	}

	public function get_title() {
		return __( 'Appku Brands V2', 'appku' );
	}


	public function get_icon() {
		return 'vt-icon';
    }


	public function get_categories() {
		return [ 'appku' ];
	}


	protected function register_controls() {

		$this->start_controls_section(
			'services_section',
			[
				'label' 	=> __( 'Brand', 'appku' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );
        $this->add_control(
			'layout',
			[
				'label' 		=> __( 'Style', 'appku' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options'		=> [
					'1'  			=> __( 'Style One', 'appku' ),
					// '2' 			=> __( 'Style Two', 'appku' ),
					// '3' 			=> __( 'Style Three', 'appku' ),
				],
			]
		);

        $repeater = new Repeater();

        $repeater->add_control(
			'title',
			[
				'label'     => __( 'Title', 'appku' ),
                'type'      => Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
			]
        );
        
        $this->add_control(
			'services_1',
			[
				'label' 		=> __( 'Brand', 'appku' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Marketing Strategy', 'appku' ),
					],
				],
				'title_field' 	=> '{{{ title }}}',
			]
		);  

        
		$this->end_controls_section();


		/*--------------------------------------------------------end Feedback styling---------------------------------------------------*/


	}

	protected function render() {

        $settings = $this->get_settings_for_display();

        if( $settings['layout'] == '1' ){

        	echo '<div class="brand-area relative overflow-hidden default-padding-bottom text-light">';
		        echo '<div class="brand-style-one">';
		            echo '<div class="container-fill">';
		                echo '<div class="row">';
		                    echo '<div class="col-lg-12">';
		                        echo '<div class="brand-items">';
		                            echo '<div class="brand-conetnt">';

		                                foreach( $settings['services_1'] as $data ) { 
			                                echo '<div class="item">';
			                                    if( ! empty( $data['title'] ) ){
							                        echo '<h2>'.esc_html( $data['title'] ).'</h2>';
							                    }
			                                echo '</div>';
			                            }
		                                
		                            echo '</div>';
		                            echo '<div class="brand-conetnt">';

		                                foreach( $settings['services_1'] as $data ) { 
			                                echo '<div class="item">';
			                                    if( ! empty( $data['title'] ) ){
							                        echo '<h2>'.esc_html( $data['title'] ).'</h2>';
							                    }
			                                echo '</div>';
			                            }
		                                
		                            echo '</div>';
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
	    }
	}
}

