<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Border;
/**
 *
 * Portfolio Project Widget .
 *
 */
class Appku__Project extends Widget_Base {

	public function get_name() {
		return 'appkuproject';
	}

	public function get_title() {
		return __( 'Appku Project', 'appku' );
	}

	public function get_icon() {
		return 'eicon-code';
    }

	public function get_categories() {
		return [ 'appku' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'features_section',
			[
				'label'     => __( 'Project', 'appku' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );
        $this->add_control(
			'service_style',
			[
				'label' 		=> __( 'Chose Style', 'appku' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'appku' ),
					'2' 		=> __( 'Style Two', 'appku' ),
					'3' 		=> __( 'Style Three', 'appku' ),
				],
			]
		);
		$this->add_control(
			'section_title',
			[
				'label' 	=> __( 'Title', 'appku' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'The Title', 'appku' ),
			]
        );
        $this->add_control(
			'section_subtitle',
			[
				'label' 	=> __( 'Subtitle', 'appku' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 3,
                'default'  	=> __( 'The Description area', 'appku' ),
			]
        );
        //----------------------------feddback repeter start--------------------------------//

		$repeater = new Repeater();

		$repeater->add_control(
			'title', [
				'label' 		=> __( 'Title', 'appku' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Rubaida Kanom' , 'appku' ),
				'label_block' 	=> true,
			]
        );
        $repeater->add_control(
			'cat', [
				'label' 		=> __( 'Category', 'appku' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Rubaida Kanom' , 'appku' ),
				'label_block' 	=> true,
			]
        );
        $repeater->add_control(
			'details_page', [
				'label' 		=> __( 'Details Page URL', 'appku' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( '#' , 'appku' ),
				'label_block' 	=> true,
			]
        );
        $repeater->add_control(
			'image',
			[
				'label' 		=> __( 'Image', 'appku' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
			]
		);

		$this->add_control(
			'slides',
			[
				'label' 		=> __( 'Project', 'appku' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Rubaida Kanom', 'appku' ),
					],
					[
						'title' 		=> __( 'Rubaida Kanom', 'appku' ),
					],
					[
						'title' 		=> __( 'Rubaida Kanom', 'appku' ),
					],
				],
				'title_field' 	=> '{{{ title }}}',
				'condition'		=> [ 'service_style' => ['1' ,'2'  ] ],
			]
		);

		$this->add_control(
			'all_text', [
				'label' 		=> __( 'All filter label', 'appku' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'default' 		=> __( 'All' , 'appku' ),
				'rows' 			=> 2,
				'label_block' 	=> true,
				'condition'		=> [ 'service_style' => ['3' ] ],
			]
		);		
        $repeater = new Repeater();

		$repeater->add_control(
			'title',
			[
				'label'     => __( 'Title', 'appku' ),
                'type'      => Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default' 		=> __( 'Project Title' , 'appku' ),
			]
        );
        $repeater->add_control(
			'cat',
			[
				'label'     => __( 'Category', 'appku' ),
                'type'      => Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default' 		=> __( 'CONSTRUCTION' , 'appku' ),
			]
        );
        $repeater->add_control(
			'image',
			[
				'label' 		=> __( 'Choose Image', 'appku' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
			]
		);
		$repeater->add_control(
			'details_page',
			[
				'label'     => __( 'Single Page URL', 'appku' ),
                'type'      => Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
			]
        );
        $this->add_control(
			'projects',
			[
				'label' 		=> __( 'Projects', 'appku' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'title', 'appku' ),
					],
				],
				'condition'		=> [ 'service_style' => ['3' ] ],
			]
		);

		
		$this->end_controls_section();



    }


	protected function render() {

        $settings = $this->get_settings_for_display();

        echo '<!------------------------------- Features Area start ------------------------------->';
        if( $settings['service_style'] == '1' ){

	        echo '<div class="gallery-area default-padding-bottom overflow-hidden">';

		        echo '<div class="container">';
		            echo '<div class="row">';
		                echo '<div class="col-lg-8 offset-lg-2">';
		                    echo '<div class="site-heading text-center">';
		                        if(!empty($settings['section_title'])){
	                              	echo '<h4 class="title-sub">'.esc_html($settings['section_title']).'</h4>';
	                            }
	                            if(!empty($settings['section_subtitle'])){
	                               	echo '<h2 class="title-regular">'.wp_kses_post($settings['section_subtitle']).'</h2>';
	                            } 
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';

		        echo '<div class="container-fluid">';
		            echo '<div class="row">';
		                echo '<div class="col-md-12 gallery-content">';
		                    echo '<div class="magnific-mix-gallery masonary gallery-style-three">';
		                        echo '<div id="portfolio-grid" class="gallery-items colums-4">';
		                            foreach( $settings['slides'] as $single_data ){
		                            	$url = $single_data['details_page'] ;
			                    		if(!empty($url)){
		                        			$url_start_tag 	= '<a href="'.esc_url($url).'">';
		                        			$url_end_tag 	= '</a>';
		                        		}else{
		                        			$url_start_tag 	= '';
		                        			$url_end_tag 	= '';
		                        		}

			                            echo '<!-- Single Item -->';
			                            echo '<div class="pf-item">';
			                                echo '<div class="overlay">';
			                                    if(!empty($single_data['image']['url'])){
					                                echo appku_img_tag( array(
														'url'	=> esc_url( $single_data['image']['url'] ),
													) );
						                        }
			                                    echo '<div class="content">';
			                                        echo '<div class="title">';
			                                            if(!empty($single_data['cat'])){
															echo '<span>'.esc_html($single_data['cat']).'</span>';
														}
			                                            if(!empty($single_data['title'])){
							                              	echo '<h5>'.$url_start_tag.esc_html($single_data['title']).$url_end_tag.'</h5>';
							                            }
			                                        echo '</div>';
			                                        if(!empty($url)){
				                                       	echo ' <a href="'.esc_url($url).'"><i class="fas fa-arrow-right"></i></a>';
				                                    }
			                                    echo '</div>';
			                                echo '</div>';
			                            echo '</div>';
			                            echo '<!-- End Single Item -->';
			                        } 
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}elseif( $settings['service_style'] == '2' ){
			echo '<div class="gallery-area default-padding">';
		        echo '<div class="container">';
		            echo '<div class="row">';
		                echo '<div class="col-lg-8 offset-lg-2">';
		                    echo '<div class="site-heading text-center">';
		                        if(!empty($settings['section_title'])){
	                              	echo '<h4 class="title-sub">'.esc_html($settings['section_title']).'</h4>';
	                            }
	                            if(!empty($settings['section_subtitle'])){
	                               	echo '<h2 class="title-regular">'.wp_kses_post($settings['section_subtitle']).'</h2>';
	                            } 
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';

		        echo '<div class="container">';
		            echo '<div class="row">';
		                echo '<div class="col-md-12 gallery-content">';
		                    echo '<div class="magnific-mix-gallery masonary">';
		                        echo '<div id="portfolio-grid" class="gallery-items colums-3">';

		                        	foreach( $settings['slides'] as $single_data ){
		                            	$url = $single_data['details_page'] ;
			                    		if(!empty($url)){
		                        			$url_start_tag 	= '<a href="'.esc_url($url).'">';
		                        			$url_end_tag 	= '</a>';
		                        		}else{
		                        			$url_start_tag 	= '';
		                        			$url_end_tag 	= '';
		                        		}

			                            echo '<!-- Single Item -->';
			                            echo '<div class="pf-item">';
			                                echo '<div class="overlay">';
			                                    if(!empty($single_data['image']['url'])){
					                                echo appku_img_tag( array(
														'url'	=> esc_url( $single_data['image']['url'] ),
													) );
						                        }
			                                    echo '<div class="content">';
			                                        echo '<div class="title">';
			                                            if(!empty($single_data['cat'])){
															echo '<span>'.esc_html($single_data['cat']).'</span>';
														}
			                                            if(!empty($single_data['title'])){
							                              	echo '<h5>'.$url_start_tag.esc_html($single_data['title']).$url_end_tag.'</h5>';
							                            }
			                                        echo '</div>';
			                                        if(!empty($url)){
				                                       	echo ' <a href="'.esc_url($url).'"><i class="fas fa-arrow-right"></i></a>';
				                                    }
			                                    echo '</div>';
			                                echo '</div>';
			                            echo '</div>';
			                            echo '<!-- End Single Item -->';
			                        } 
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}else{
			echo '<div class="portfolio-style-two-area default-padding text-light">';

		        echo '<div class="container">';
		            echo '<div class="site-heading">';
		                echo '<div class="row">';
		                    echo '<div class="col-xl-6">';
		                        echo '<div class="content-left">';
		                            if(!empty($settings['section_title'])){
		                              	echo '<h5 class="title-sub">'.esc_html($settings['section_title']).'</h5>';
		                            }
		                            if(!empty($settings['section_subtitle'])){
		                               	echo '<h2 class="title-regular">'.wp_kses_post($settings['section_subtitle']).'</h2>';
		                            } 
		                        echo '</div>';
		                    echo '</div>';
		                    echo '<div class="col-xl-6">';
		                        echo '<div class="mix-item-menu text-end">';
		                            $text = !empty( $settings['all_text'] ) ? $settings['all_text'] : esc_html__( 'All', 'appku' );
				                	$filters = array();
					            	foreach( $settings['projects'] as $project ) {
					            		$temp_filters = explode (",", $project['cat']);
					            		foreach( $temp_filters as $temp_filter ) {
					            			$filters[strtolower(trim($temp_filter))] = $temp_filter;
					            		}
					            	}
		                            echo '<button class="active" data-filter="*">' .esc_html( $text ). '</button>';
		                            foreach( $filters as $filter ) {
					                    echo '<button data-filter=".'.esc_attr( strtolower($filter) ).'">'.esc_html( $filter ).'</button>';
					                }
		                            
		                        echo '</div>';
		                        echo '<!-- End Mixitup Nav-->';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';

		        echo '<div class="container">';
		            echo '<div class="row">';
		                echo '<div class="col-md-12 gallery-content">';
		                    echo '<div class="magnific-mix-gallery gallery-masonary">';
		                        echo '<div id="portfolio-grid" class="gallery-items colums-2">';

		                        	foreach( $settings['projects'] as $project ) {
				        				$filter_slug = strtolower(str_replace(',', ' ', $project['cat']));

			                            echo '<!-- Single Item -->';
			                            echo '<div class="pf-item '.esc_attr( $filter_slug ).'">';
			                                echo '<div class="gallery-style-two">';
			                                    if( ! empty( $project['image']['url'] ) ){
							                        echo appku_img_tag( array(
														'url'   => esc_url( $project['image']['url'] ),
													) );
							                    }
			                                    echo '<div class="content">';
			                                        if(!empty($project['cat'])){
														echo '<span>'.esc_html($project['cat']).'</span>';
													}
			                                        if( ! empty( $project['title'] ) ){
					                                    echo '<h4><a href="'.esc_url($project['details_page']).'">'.esc_html( $project['title'] ).'</a></h4>';
					                                }
			                                    echo '</div>';
			                                echo '</div>';
			                            echo '</div>';
			                        }


		                            
		                            

		                        echo '</div>';
		                    echo '</div>';

		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}

		echo '<!--------------------------------- Features Area end --------------------------------->';
	}
}