<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Border;
/**
 *
 * Service Widget .
 *
 */
class Appku_Service_V2 extends Widget_Base {

	public function get_name() {
		return 'appkuservicesv2';
	}

	public function get_title() {
		return __( 'Appku Service V2', 'appku' );
	}

	public function get_icon() {
		return 'eicon-code';
    }

	public function get_categories() {
		return [ 'appku' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'features_section',
			[
				'label'     => __( 'Service', 'appku' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );
        $this->add_control(
			'service_style',
			[
				'label' 		=> __( 'Chose Style', 'appku' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'appku' ),
					'2' 		=> __( 'Style Two', 'appku' ),
					'3' 		=> __( 'Style Three', 'appku' ),
				],
			]
		);
		
		$this->add_control(
			'section_title',
			[
				'label' 	=> __( 'Title', 'appku' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'The Title', 'appku' ),
			]
        );
        $this->add_control(
			'section_subtitle',
			[
				'label' 	=> __( 'Subtitle', 'appku' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 3,
                'default'  	=> __( 'The Description area', 'appku' ),
			]
        );
        //----------------------------feddback repeter start--------------------------------//

		$repeater = new Repeater();

		$repeater->add_control(
			'title', [
				'label' 		=> __( 'Title', 'appku' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Rubaida Kanom' , 'appku' ),
				'label_block' 	=> true,
			]
        );
        $repeater->add_control(
			'desc', [
				'label' 		=> __( 'Content', 'appku' ),
				'type' 			=> Controls_Manager::WYSIWYG,
				'default' 		=> __( 'Rubaida Kanom' , 'appku' ),
				'label_block' 	=> true,
			]
        );
        $repeater->add_control(
			'chose_icon_style',
			[
				'label' 		=> __( 'Icon Type', 'appku' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> 'class',
				'options' 		=> [
					'class'  	=> __( 'Class', 'appku' ),
					'img' 		=> __( 'Image', 'appku' ),
				],
			]
		);
        $repeater->add_control(
			'icon_class', [
				'label' 		=> __( 'Icon Class', 'appku' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Rubaida Kanom' , 'appku' ),
				'label_block' 	=> true,
				'condition'		=> [ 'chose_icon_style' => [ 'class' ] ],
			]
        );
        $repeater->add_control(
			'icon_image',
			[
				'label' 		=> __( 'Image', 'appku' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
				'default' 		=> [
					'url' 			=> Utils::get_placeholder_image_src(),
				],
				'condition'		=> [ 'chose_icon_style' => [ 'img' ] ],
			]
		);
		$repeater->add_control(
			'cat', [
				'label' 		=> __( 'Category', 'appku' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Rubaida Kanom' , 'appku' ),
				'label_block' 	=> true,
			]
        );
        $repeater->add_control(
			'btn', [
				'label' 		=> __( 'Button Text', 'appku' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Know More' , 'appku' ),
				'label_block' 	=> true,
			]
        );
        $repeater->add_control(
			'details_page', [
				'label' 		=> __( 'Details Page URL', 'appku' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( '#' , 'appku' ),
				'label_block' 	=> true,
			]
        );

		$this->add_control(
			'slides',
			[
				'label' 		=> __( 'Service', 'appku' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'Rubaida Kanom', 'appku' ),
					],
					[
						'title' 		=> __( 'Rubaida Kanom', 'appku' ),
					],
					[
						'title' 		=> __( 'Rubaida Kanom', 'appku' ),
					],
				],
				'title_field' 	=> '{{{ title }}}',
			]
		);
		$this->end_controls_section();

		/*-----------------------------------------features styling------------------------------------*/

		$this->start_controls_section(
			'feturs_con_styling',
			[
				'label' 	=> __( 'Service Content', 'appku' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
        );
        $this->start_controls_tabs(
			'style_tabs'
		);


		$this->start_controls_tab(
			'style_normal_tab',
			[
				'label' => esc_html__( 'Title', 'appku' ),
			]
		);
        $this->add_control(
			'f_title_color',
			[
				'label' 		=> __( 'Color', 'appku' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .service-selector a'	=> 'color: {{VALUE}}!important;',

				],
			]
        );
        $this->add_control(
			'f_title_hvr_color',
			[
				'label' 		=> __( 'Hover Color', 'appku' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} a:hover'	=> 'color: {{VALUE}}!important;',

				],
			]
        );
        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'f_title_typography',
		 		'label' 		=> __( 'Typography', 'appku' ),
		 		'selector' 	=> '{{WRAPPER}} .service-selector h4',
			]
		);

        $this->add_responsive_control(
			'f_title_margin',
			[
				'label' 		=> __( 'Margin', 'appku' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .service-selector h4' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
                ],
			]
        );

        $this->add_responsive_control(
			'f_title_padding',
			[
				'label' 		=> __( 'Padding', 'appku' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .service-selector h4' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
        );
		$this->end_controls_tab();

		//--------------------secound--------------------//

		$this->start_controls_tab(
			'style_hover_tab',
			[
				'label' => esc_html__( 'Content', 'appku' ),
			]
		);
		$this->add_control(
			'f_content_color',
			[
				'label' 		=> __( 'Color', 'appku' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .service-selector p'	=> 'color: {{VALUE}}!important;'
				],
			]
        );
        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'f_content_typography',
		 		'label' 		=> __( 'Typography', 'appku' ),
		 		'selector' 	=> '{{WRAPPER}} .service-selector p',
			]
		);

        $this->add_responsive_control(
			'f_content_margin',
			[
				'label' 		=> __( 'Margin', 'appku' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .service-selector p' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
                ],
			]
        );

        $this->add_responsive_control(
			'f_content_padding',
			[
				'label' 		=> __( 'Padding', 'appku' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} .service-selector p' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
                ],
			]
        );



		$this->end_controls_tab();


		$this->end_controls_tabs();
		$this->end_controls_section();
		
    }

	protected function render() {

        $settings = $this->get_settings_for_display();

        echo '<!------------------------------- Service Area start ------------------------------->';
        if( $settings['service_style'] == '1' ){
	        echo '<div id="services" class="services-style-seven-area relative default-padding">';
		        echo '<div class="container">';
		            echo '<div class="row">';
		                echo '<div class="col-lg-8 offset-lg-2">';
		                    echo '<div class="site-heading text-center">';
		                    	if(!empty($settings['section_title'])){
	                              	echo '<h4 class="title-sub">'.esc_html($settings['section_title']).'</h4>';
	                            }
	                            if(!empty($settings['section_subtitle'])){
	                               	echo '<h2 class="title-regular">'.esc_html($settings['section_subtitle']).'</h2>';
	                            }  
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		        echo '<div class="container-full">';
		            echo '<div class="row">';
		                echo '<div class="col-lg-12">';
		                    echo '<div class="services-style-seven-carousel owl-carousel owl-theme">';
		                    	foreach( $settings['slides'] as $single_data ){

		                    		$url = $single_data['details_page'] ;
		                    		if(!empty($url)){
	                        			$url_start_tag 	= '<a href="'.esc_url($url).'">';
	                        			$url_end_tag 	= '</a>';
	                        		}else{
	                        			$url_start_tag 	= '';
	                        			$url_end_tag 	= '';
	                        		}

			                        echo '<!-- Single item -->';
			                        echo '<div class="service-seven-item service-selector">';
			                            echo '<div class="top">';
			                                if($single_data['chose_icon_style'] == 'class' ){
		                                    	echo wp_kses_post($single_data['icon_class']);
		                                    }else{
		                                    	echo appku_img_tag( array(
													'url'	=> esc_url( $single_data['icon_image']['url'] ),
												) );
		                                    }
			                                if(!empty($single_data['title'])){
				                              	echo '<h4>'.$url_start_tag.esc_html($single_data['title']).$url_end_tag.'</h4>';
				                            }
			                            echo '</div>';
			                            if(!empty($single_data['desc'])){
			                               	echo '<p>'. wp_kses_post($single_data['desc']).'</p>';
			                            }

			                            if(!empty($single_data['btn'])){
				                            echo '<a href="'.esc_url($url).'">'.esc_html($single_data['btn']).'<i class="fas fa-arrow-right"></i></a>';
				                        }
			                        echo '</div>';
			                        echo '<!-- End Single item -->';
			                    }
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}elseif( $settings['service_style'] == '2' ){
			echo '<div class="services-style-six-area default-padding bottom-less text-light">';

		        echo '<div class="container">';
		            echo '<div class="row">';
		                echo '<div class="col-lg-8 offset-lg-2">';
		                    echo '<div class="site-heading text-center">';
		                        if(!empty($settings['section_title'])){
	                              	echo '<h4 class="title-sub">'.esc_html($settings['section_title']).'</h4>';
	                            }
	                            if(!empty($settings['section_subtitle'])){
	                               	echo '<h2 class="title-regular">'.esc_html($settings['section_subtitle']).'</h2>';
	                            } 
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';

		        echo '<div class="container">';
		            echo '<div class="row">';

		            	foreach( $settings['slides'] as $single_data ){
		            		$url = $single_data['details_page'] ;
                    		if(!empty($url)){
                    			$url_start_tag 	= '<a href="'.esc_url($url).'">';
                    			$url_end_tag 	= '</a>';
                    		}else{
                    			$url_start_tag 	= '';
                    			$url_end_tag 	= '';
                    		}
			                echo '<!-- Single Item -->';
			                echo '<div class="col-xl-4 col-md-6 mb-30">';
			                    echo '<div class="services-style-six service-selector">';
			                        echo '<div class="info">';
			                            if($single_data['chose_icon_style'] == 'class' ){
	                                    	echo wp_kses_post($single_data['icon_class']);
	                                    }else{
	                                    	echo appku_img_tag( array(
												'url'	=> esc_url( $single_data['icon_image']['url'] ),
											) );
	                                    }
			                            if(!empty($single_data['title'])){
			                              	echo '<h4>'.$url_start_tag.esc_html($single_data['title']).$url_end_tag.'</h4>';
			                            }
			                            if(!empty($single_data['desc'])){
			                               echo '<p>'. wp_kses_post($single_data['desc']).'</p>';
			                            }
			                            if(!empty($single_data['btn'])){
				                            echo '<a href="'.esc_url($url).'">'.esc_html($single_data['btn']).'<i class="fas fa-arrow-right"></i></a>';
				                        }
			                        echo '</div>';
			                    echo '</div>';
			                echo '</div>';
			                echo '<!-- End Single Item -->';
			            }
		                
		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}else{
			echo '<div class="services-style-five-area default-padding bottom-less text-light">';
		        echo '<div class="container">';
		            echo '<div class="row">';
		                echo '<div class="col-lg-6">';
		                    echo '<div class="site-heading">';
		                        if(!empty($settings['section_title'])){
	                              	echo '<h4 class="title-sub">'.esc_html($settings['section_title']).'</h4>';
	                            }
	                            if(!empty($settings['section_subtitle'])){
	                               	echo '<h2 class="title-regular">'.esc_html($settings['section_subtitle']).'</h2>';
	                            } 
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        echo '</div>';
		        echo '<div class="container">';
		            echo '<div class="row align-center">';
		            	foreach( $settings['slides'] as $single_data ){
		            		$url = $single_data['details_page'] ;
                    		if(!empty($url)){
                    			$url_start_tag 	= '<a href="'.esc_url($url).'">';
                    			$url_end_tag 	= '</a>';
                    		}else{
                    			$url_start_tag 	= '';
                    			$url_end_tag 	= '';
                    		}
			                echo '<!-- Single item -->';
			                echo '<div class="col-lg-6 col-md-6 mb-30">';
			                    echo '<div class="services-style-five service-selector">';
			                        echo '<div class="content">';
			                        	if($single_data['chose_icon_style'] == 'class' ){
			                        		echo '<div class="icon">';
	                                    		echo wp_kses_post($single_data['icon_class']);
	                                    	echo '</div>';
	                                    }else{
	                                    	echo '<div class="icon">';
		                                    	echo appku_img_tag( array(
													'url'	=> esc_url( $single_data['icon_image']['url'] ),
												) );
											echo '</div>';
	                                    }
			                            echo '<div class="info">';
			                                if(!empty($single_data['title'])){
				                              	echo '<h4>'.$url_start_tag.esc_html($single_data['title']).$url_end_tag.'</h4>';
				                            }
				                            if(!empty($single_data['desc'])){
				                               echo '<p>'. wp_kses_post($single_data['desc']).'</p>';
				                            }
			                            echo '</div>';
			                        echo '</div>';
			                        echo '<div class="bottom">';
			                            if(!empty($single_data['cat'])){
			                               echo wp_kses_post($single_data['cat']);
			                            }
			                            if(!empty($single_data['btn'])){
				                            echo '<a class="btn btn-sm circle btn-dark btn-theme" href="'.esc_url($url).'">'.esc_html($single_data['btn']).'</a>';
				                        }
			                        echo '</div>';
			                    echo '</div>';
			                echo '</div>';
			                echo '<!-- End Single item -->';
			            }

		            echo '</div>';
		        echo '</div>';
		    echo '</div>';
		}

		echo '<!--------------------------------- Service Area end --------------------------------->';
	}
}