<?php
/**
* @version  1.0
* @package  appku
*
* Websites: https://themeforest.net/user/validthemes/portfolio
*
*/

/**************************************
* Creating CTA Widget
***************************************/

class appku_newslater_widget extends WP_Widget {

        function __construct() {
        
            parent::__construct(
                // Base ID of your widget
                'appku_newslater_widget', 
            
                // Widget name will appear in UI
                esc_html__( 'Appku :: Newslatter', 'appku' ),
            
                // Widget description
                array( 
                    'customize_selective_refresh' 	=> true,  
                    'description' 					=> esc_html__( 'Add Subscribed Widget', 'appku' ),   
                    'classname'   					=> 'no-class newsletter',
                )
            );

        }
    
        // This is where the action happens
        public function widget( $args, $instance ) {
            
            $title  	= ( !empty( $instance['title'] ) ) ? $instance['title'] : "";  
   
            //before and after widget arguments are defined by themes
            echo $args['before_widget']; 
                echo '<h4 class="title">'.esc_html( $title ).'</h4>';
                echo '<form class="newsletter-form">';
                    echo '<div class="input-group stylish-input-group">';
                        echo '<input type="email" placeholder="'.esc_attr__('Enter your e-mail', 'appku').'" class="form-control" name="email">';
                        echo '<span class="input-group-addon">';
                            echo '<button type="submit">';
                                echo '<i class="arrow_right"></i></button>';
                        echo '</span>';
                    echo '</div>';
                echo '</form>';

            echo $args['after_widget'];
            echo '<!-- End of Author Widget -->';
        }
            
        // Widget Backend 
        public function form( $instance ) {
    
            //Title	
            if ( isset( $instance[ 'title' ] ) ) {
                $title = $instance[ 'title' ];
            }else {
                $title = '';
            }

            
            // Widget admin form
            ?>
            <p>
                <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ,'appku'); ?></label> 
                <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
            </p>	
            <?php 
        }
    
        
        // Updating widget replacing old instances with new
        public function update( $new_instance, $old_instance ) {
            
            $instance = array();
            $instance['title'] 	        		= ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
            return $instance;
        }
    } // Class appku_newslater_widget ends here
    

    // Register and load the widget
    function appku_newslater_widget() {
        register_widget( 'appku_newslater_widget' );
    }
    add_action( 'widgets_init', 'appku_newslater_widget' );